> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/connects/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # Get Connect GET https://api.givechariot.com/v1/connects/{id} Retrieve a connect with the given ID. Reference: https://docs.givechariot.com/api/connects/get ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Path parameters - `id` (string, required) — the unique id of the connect ## Response ### 200 OK - `id` (string, required) — The unique identifier for this object. This is also the 'publishable' cid to use for initializing Connect for client-side integration. - `name` (string, optional) — A human readable name for the connect, optional. - `active` (boolean, optional) — A flag to indicate if this connect is active. If true, then this Connect can process donations and grants, otherwise this Connect cannot process grants. - `createdAt` (datetime, optional) — Time when this object was created. Expressed in RFC 3339 format. - `updatedAt` (datetime, optional) — Time when this object was last updated. Expressed in RFC 3339 format. - `createdBy` (string, optional) — ID of the user who created this object. - `archived` (boolean, optional) — A flag to indicate if this object is marked for deletion. - `metadata` (map from string to string, optional) — A map of arbitrary string keys and values to store information about the object. ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 404 Not Found Error Resource Not Found - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Examples **Response** ```json { "id": "test_connect123", "name": "website", "active": true, "createdAt": "2020-01-31T23:00:00Z", "updatedAt": "2020-01-31T23:59:59Z", "createdBy": "auth0-user-id-123", "archived": false, "metadata": {} } ```